function [val,grad]=normloglikelihood(params,obs)
% obs is a column vector containing the observations
% params is a vector containing mu and sigma^2
% Output= -loglikelihood
mu=params(1);
sigmasq=params(2);
T=length(obs);
val=0.5*size(obs,1)*log(2*pi*sigmasq)+...
    sum(1/(2*sigmasq)*((obs-mu*ones(size(obs,1),size(obs,2))).^2));
if nargout>1
    grad=[-1/sigmasq*sum(obs-mu);
          +T/(2*sigmasq)-1/(2*sigmasq^2)*sum((obs-mu).^2)];
end
end
